hadoop-common-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steve Loughran (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HADOOP-10101) Update guava dependency to the latest version 15.0
Date Thu, 26 Dec 2013 18:19:51 GMT

    [ https://issues.apache.org/jira/browse/HADOOP-10101?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13856981#comment-13856981
] 

Steve Loughran commented on HADOOP-10101:
-----------------------------------------

# marked the patch as targeting 3.0
# are there any specific applications which you know will break! or is this just a theoretical
concern?
# I did write a section on dependency compatibility for the docs, precisely baca use they
are visible. It comes down to "there are no guarantees"

Pint #3 doesn't mean that we should push this in to branch 2, just that we explicitly state
that we don't make any guarantees about dependency compatibility -I'd we did we would never
be able to upgrade anything

> Update guava dependency to the latest version 15.0
> --------------------------------------------------
>
>                 Key: HADOOP-10101
>                 URL: https://issues.apache.org/jira/browse/HADOOP-10101
>             Project: Hadoop Common
>          Issue Type: Improvement
>    Affects Versions: 2.2.0
>            Reporter: Rakesh R
>            Assignee: Vinay
>         Attachments: HADOOP-10101-002.patch, HADOOP-10101-004.patch, HADOOP-10101.patch,
HADOOP-10101.patch
>
>
> The existing guava version is 11.0.2 which is quite old. This 



--
This message was sent by Atlassian JIRA
(v6.1.5#6160)

Mime
View raw message